@import url('https://fonts.googleapis.com/css?family=Allan:400,700&display=swap');

html{
  scroll-behavior: smooth;
}

body {
  margin: 0;
  font-family: sans-serif;
}

/* App container */

.container {
  text-align: center;
}

/* First part container */

.first_view {
  height: 100vh;
}

/* Desktop */

@media screen and (min-width: 600px) {
  .logo {
    margin-top: 60px;
  }

  .buttons_container {
    margin: 60px 0;
  }
  a {
    text-decoration: none;
    color: black;
    width: fit-content;
    cursor: default;
  }
  .anchor_button {
    width: max-content;
    font-family: 'Allan';
    font-size: 2em;
    margin: 2em auto;
    background-image: linear-gradient(120deg, #fa8484e5 0%, #f4a38fe1 100%);
    background-repeat: no-repeat;
    background-size: 0% 0.2em;
    background-position: 0 88%;
    transition: background-size .3s ease;
  }

  .anchor_button:hover {
    background-size: 100% 0.2em;
    cursor: pointer;
  }
}

/* Mobile */

@media screen and (max-width: 600px) {
  .logo {
    width: 200px;
    height: auto;
    margin-top: 40px;
  }

  .buttons_container {
    margin: 60px 0;
  }
  a {
    text-decoration: none;
    color: black;
    width: fit-content;
    cursor: default;
  }
  .anchor_button {
    width: fit-content;
    font-family: 'Allan';
    font-size: 2em;
    margin: 2em auto;
    background-image: linear-gradient(120deg, #fa8484e5 0%, #f4a38fe1 100%);
    background-repeat: no-repeat;
    background-size: 0% 0.2em;
    background-position: 0 88%;
  }
}

/* Products part container */

